JZlib.WrapperType
Date: 2015-09-12

com.jcraft.jzlib

## Enum JZlib.WrapperType

- java.lang.Object
- - java.lang.Enum<JZlib.WrapperType>
  - - com.jcraft.jzlib.JZlib.WrapperType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JZlib.WrapperType>
  Enclosing class:
    JZlib

      public static enum JZlib.WrapperType
      extends java.lang.Enum<JZlib.WrapperType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `GZIP`
    `NONE`
    `ZLIB`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JZlib.WrapperType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JZlib.WrapperType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final JZlib.WrapperType NONE

    - #### ZLIB

          public static final JZlib.WrapperType ZLIB

    - #### GZIP

          public static final JZlib.WrapperType GZIP

    - #### ANY

          public static final JZlib.WrapperType ANY

  - ### Method Detail

    - #### values

          public static JZlib.WrapperType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JZlib.WrapperType c : JZlib.WrapperType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JZlib.WrapperType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null